package com.mortals.xhx.module.datum.web;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.mortals.framework.web.BaseCRUDJsonMappingController;
import com.mortals.xhx.module.datum.model.DatumEntity;
import com.mortals.xhx.module.datum.service.DatumService;


/**
* <p>Title: 一件事申请材料</p>
* <p>Description: DatumController  </p>
* <p>Copyright: Copyright &reg;  </p>
* <p>Company: </p>
* @author zxfei
* @version 1.0.0
*/
@RestController
@RequestMapping("datum")
public class DatumController extends BaseCRUDJsonMappingController<DatumService,DatumForm,DatumEntity,Long> {

    public DatumController(){
        super.setFormClass(DatumForm.class);
        super.setModuleDesc("一件事申请材料");
    }

    @Override
    public String list(DatumForm form) {
        DatumEntity datumEntity = new DatumEntity();
        return super.list(form);
    }
}